## smbmap 1.0.5+git20180508

=== requirements.txt ===
https://github.com/CoreSecurity/impacket/archive/impacket_0_9_13.zip
pyasn1
pycrypto

=== debian/changelog ===
smbmap (1.0.5+git20180508-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1
  * d/copyright:
    - License of upstream is GPL-3, not GPL-3+ (closes: #916711)
    - Use https

 -- Samuel Henrique <samueloph@debian.org>  Sat, 22 Dec 2018 16:00:14 +0000

smbmap (1.0.5+git20180508-1) unstable; urgency=medium

  * Initial Debian release (closes: #905997)
  * Bump DH level to 11
  * Bump Standards-Version to 4.2.0
  * Bump watch to v4
  * Add manpage
  * Change build-dep from python to dh-python
  * Install smbmap directly into /usr/bin instead of using helper script
  * Move maintenance to Security Tools Packaging Team
  * d/control: remove unnecessary autopkgtest field
  * d/p/fix-typos.patch: new patch to fix typos on help output
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Aug 2018 19:12:34 -0300

smbmap (1.0.5+git20180508-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@offensive-security.com>  Tue, 08 May 2018 16:07:19 +0100

smbmap (1.0.5+git20170228-0kali3) kali-dev; urgency=medium

  * Updated usage output (Closes: 0004173)

 -- Devon Kearns <dookie@kali.org>  Tue, 22 Aug 2017 13:52:09 -0600

smbmap (1.0.5+git20170228-0kali2) kali-dev; urgency=medium

  * Add a basic autopkgtest

 -- Sophie Brun <sophie@freexian.com>  Tue, 09 May 2017 11:57:11 +0200

smbmap (1.0.5+git20170228-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Update minimal required version of python-impacket

 -- Sophie Brun <sophie@freexian.com>  Tue, 09 May 2017 11:03:35 +0200

smbmap (1.0.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 16 Jul 2015 15:33:55 +0200

smbmap (0.1+git20150430-0kali1) kali; urgency=medium

  * Initial packaging for kali

 -- Sophie Brun <sophie@freexian.com>  Thu, 30 Apr 2015 15:27:38 +0200

=== debian/control ===
Source: smbmap
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python
Standards-Version: 4.2.1
Homepage: https://github.com/ShawnDEvans/smbmap
Vcs-Browser: https://salsa.debian.org/pkg-security-team/smbmap
Vcs-Git: https://salsa.debian.org/pkg-security-team/smbmap.git

Package: smbmap
Architecture: all
Depends: python-impacket (>= 0.9.14),
         ${misc:Depends},
         ${python:Depends}
Description: handy SMB enumeration tool
 SMBMap allows users to enumerate samba share drives across an entire domain.
 List share drives, drive permissions, share contents, upload/download
 functionality, file name auto-download pattern matching, and even execute
 remote commands. This tool was designed with pen testing in mind, and is
 intended to simplify searching for potentially sensitive data across large
 networks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	mv debian/smbmap/usr/bin/smbmap.py debian/smbmap/usr/bin/smbmap
	chmod 755 debian/smbmap/usr/bin/smbmap

=== debian/watch ===
version=4
https://github.com/ShawnDEvans/smbmap/tags .*/v?(\d.*)\.tar\.gz

## smbmap 1.1.0+git20191013

=== requirements.txt ===
https://github.com/CoreSecurity/impacket/archive/impacket_0_9_20.zip
pyasn1
pycrypto

=== debian/changelog ===
smbmap (1.1.0+git20191013-2) unstable; urgency=medium

  * Bump Standards Version to 4.5.0
  * d/control: Add Rules-Requires-Root: no
  * d/p/fix-usage-output: fix description
  * d/p/fix-number-comparision-operator: new upstream patch that fixes python
    3.8 compat, thanks to Andreas Hasenack <ahasenack> for the heads up.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 30 Jan 2020 19:37:34 +0000

smbmap (1.1.0+git20191013-1) unstable; urgency=medium

  * New upstream version 1.1.0+git20191013
  * Bump Debhelper to 12
  * Bump Standards-Version to 4.4.1
  * Build with python3 (closes: #938504)
  * Add salsa-ci.yml
  * d/patches: Update patch and remove one applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 13 Oct 2019 17:13:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python
-Standards-Version: 4.2.1
+               python3-all
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ShawnDEvans/smbmap
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/smbmap
 Vcs-Git: https://salsa.debian.org/pkg-security-team/smbmap.git
 
 Package: smbmap
 Architecture: all
-Depends: python-impacket (>= 0.9.14),
+Depends: python3-impacket,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: handy SMB enumeration tool
  SMBMap allows users to enumerate samba share drives across an entire domain.
  List share drives, drive permissions, share contents, upload/download

=== debian/tests/control ===
Test-Command: smbmap -h

## smbmap 1.8.2

=== requirements.txt ===
https://github.com/CoreSecurity/impacket/archive/impacket_0_9_20.zip
pyasn1
pycrypto
configparser

=== debian/changelog ===
smbmap (1.8.2-2) unstable; urgency=medium

  * Bump DH to 13
  * d/t/control: Add superficial restriction (closes: #969868)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Sep 2020 18:51:11 +0100

smbmap (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2

 -- Samuel Henrique <samueloph@debian.org>  Sat, 07 Mar 2020 23:09:13 +0000

smbmap (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
  * Configure git-buildpackage for Debian
  * d/p/fix-number-comparision-operator: Remove patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Tue, 03 Mar 2020 19:22:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_install:
 	dh_install

## smbmap 1.9.1

=== debian/changelog ===
smbmap (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + smbmap: Add Multi-Arch: foreign.

  [ Carlos Henrique Lima Melara ]
  * debian/control:
      - Add new build dependency (setuptools).
      - Bump Standards-Version to 4.6.2 - no changes needed.
      - Remove python3-impacket from runtime dependencies.
  * debian/copyright: update packaging copyright information.
  * debian/patches/:
      - fix-smbmap-version.patch: fix setup.py declared version.
      - fix-usage-output.patch: rename and rebase to apply cleanly.
      - remove-default-modules-from-setup-py.patch: fix deps in Debian.
  * debian/rules:
      - Remove install override. dh-python correctly handles it.
      - Use pybuild.
  * debian/smbmap.1: update manpage.
  * debian/smbmap.install: removed. dh-python can correctly install smbmap.py.
  * debian/watch: update it to use github api.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 06 Aug 2023 23:05:39 -0300

## smbmap 1.9.2

=== debian/changelog ===
smbmap (1.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.2.
  * Update patches.

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 11 Oct 2023 10:11:47 +0700

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all
-Standards-Version: 4.5.0
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ShawnDEvans/smbmap
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/smbmap
@@ -14,9 +15,8 @@
 
 Package: smbmap
 Architecture: all
-Depends: python3-impacket,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
+Multi-Arch: foreign
 Description: handy SMB enumeration tool
  SMBMap allows users to enumerate samba share drives across an entire domain.
  List share drives, drive permissions, share contents, upload/download

=== debian/tests/control ===
Test-Command: smbmap -h
Restrictions: superficial

## smbmap 1.10.2

=== debian/changelog ===
smbmap (1.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.2
  * d/smbmap.1: Update manpage
  * d/p/fix-kerberos-tool-name-on-readme: New patch to fix typo
  * d/control: Update package's description

 -- Antonio Ladeia <contato@antonioladeia.com>  Sat, 18 May 2024 14:26:24 -0300

## smbmap 1.10.4

=== debian/changelog ===
smbmap (1.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.4
  * d/smbmap.1: Update manpage
  * d/p/smbmap-fix-stringbinding-usage: Fix bug with mistyped
    variable name 'stringbinding'
  * Refresh patches

 -- Antonio Ladeia <contato@antonioladeia.com>  Sun, 09 Jun 2024 16:11:50 -0300

## smbmap 1.10.5

=== debian/changelog ===
smbmap (1.10.5-1) unstable; urgency=medium

  * New upstream version 1.10.5
    - Thanks to Azztruenot for the heads up :)
  * Use manpage from upstream
  * d/p/fix-kerberos-tool-name-on-readme: Remove patch, merged upstream
  * d/p/smbmap-fix-stringbinding-usage: Update patch with GitHub PR

 -- Samuel Henrique <samueloph@debian.org>  Wed, 06 Nov 2024 18:43:15 +0000

## smbmap 1.10.7

=== debian/changelog ===
smbmap (1.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.7

 -- Guisso <fguisso@gmail.com>  Thu, 20 Feb 2025 23:38:22 +0000

=== debian/control ===
--- 
+++ 
@@ -24,3 +24,14 @@
  remote commands. This tool was designed with pen testing in mind, and is
  intended to simplify searching for potentially sensitive data across large
  networks.
+ Features:
+  Pass-the-Hash Support
+  File upload/download/delete
+  Permission enumeration (writable share, meet Metasploit)
+  Remote Command Execution
+  Distrubted file content searching (beta!)
+  File name matching (with an auto downoad capability)
+  Host file parser supports IPs, host names, and CIDR
+  SMB sigining detection
+  Server version output
+  Kerberos support! (super beta)

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/ShawnDEvans/smbmap/tags?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/@ANY_VERSION@
